using Common.Dtos.Common;
using Common.Dtos.Season;
using Common.Dtos.Specialization;

namespace Api.Services.Interfaces;

public interface ISpecializationService
{
    Task<CreateSpecializationResponse> CreateAsync(CreateSpecializationRequest request);
    Task<PagedList<SpecializationDto>> GetAllPagedAsync(GetSpecializationsRequest request);
    Task<SpecializationDto[]> GetAllAsync();
}
